List available PyAirbyte sources
curl --request GET \
--url https://api.example.com/api/airbyte/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/airbyte/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/airbyte/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": [
{
"name": "<string>",
"package_name": "<string>",
"display_name": "<string>",
"category": "<string>",
"version": "<string>",
"description": "",
"config_fields": [
{
"name": "<string>",
"title": "<string>",
"type": "string",
"required": true,
"secret": false,
"description": ""
}
],
"config_template": {}
}
]
}{
"error": "<string>",
"code": 500
}PyAirbyte ingestion
List available PyAirbyte sources
List all available PyAirbyte source connectors with their configuration schemas.
GET
/
api
/
airbyte
/
sources
List available PyAirbyte sources
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
List of available source connectors.
Response listing all available PyAirbyte source connectors.
List of available source connectors.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

